<template>
    <div>
        <input type="checkbox" :size="size" 
        :color="color" :value="value"
        :style="{accentColor: changeBg}"
        :disabled="disabled"
        :readonly="readonly" 
        v-bind="$attrs"/>
        <label for="item" class=" text-white" :style="{fontSize : changeSize + 'px'}"> 
            <slot></slot>
        </label>
    </div>
</template>

<script>
    export default {
        props: {
            size: {
                type: String,
                default: 'sm'
            },
            color: {
                type: String,
                default: 'default'
            },
            value: String,
            disabled: {
                type: Boolean,
                default: false,
            },
            readonly: {
                type: Boolean,
                default: false,
            },        },
        computed: {
            changeSize() {
                let fontSize = ''
                if (this.size === 'sm') {
                    fontSize = 13
                } else if (this.size === 'lg') {
                    fontSize = 17
                } else if (this.size === 'xl') {
                    fontSize = 20
                } else {
                    fontSize = 15
                }
                return fontSize;
            },
            changeBg() {
                let accentColor = ''
                if (this.color === 'gray') {
                    accentColor = 'gray'
                } else if (this.color === 'yellow') {
                    accentColor = 'yellow'
                } else if (this.color === 'red') {
                    accentColor = 'red'
                } else if (this.color === 'green') {
                    accentColor = 'green'
                } else {
                    accentColor = 'black'
                }
                return accentColor;
            }
        }
    }
</script>

<style>
.sm {
    width: 15px;
    height: 15px;
}
.default {
    width: 18px;
    height: 18px;
}
.lg {
    width: 21px;
    height: 21px;
}
.xl {
    width: 24px;
    height: 24px;
}

</style>